package com.myco.jmstest;

import javax.jms.Queue;

import org.apache.log4j.Logger;
import org.springframework.jms.core.JmsTemplate;

public class JmsSender extends AbstractJmsSender {

    private static Logger LOGGER = Logger.getLogger(JmsSender.class);

    private final JmsTemplate template;
    private final Queue queue;
    
    public JmsSender(JmsTemplate template, Queue queue, int numThreads) {
        super(numThreads);
        
        this.template = template;
        this.queue = queue;
    }
    

    /* (non-Javadoc)
     * @see com.myco.jmstest.AbstractJmsSender#send(java.lang.String)
     */
    @Override
    protected void send(String msg) {
        template.convertAndSend(queue, msg);
    }
}
